Katello - Bug #6129

/katello/api/status neglects to report all of the fields that /candlepin/status reports
Description

Description of problem:

When calling the API /status against a katello server versus a plain candlepin server, | noticed that katello hides some data. I'm not
100% sure if the missing fields are needed by subscription-manager clients anymore. Nonetheless, the katello API for /status could
probably open this up a little.

Status response from a Katello Server.....

[root@jsefler-5 ~J# curl --stderr /dev/null --insecure --request GET https:/katellosach.usersys.redhat.com:443/katello/api/status |
python -msimplejson/tool {

"release": "Katello",

"result": true,

"standalone": true,

"timeUTC": "2014-05-14T04:17:44Z",

"version": "1.4.15-1.el6"

}

Status call from a Candlepin Server....

[root@jsefler-5 ~# curl --stderr /dev/null --insecure --request GET
https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/status | python -msimplejson/tool {
"managerCapabilities": [

"cores”,

"ram",

"instance_multiplier",

"derived_product",

"cert_v3",

"guest_limit",

"vepu”

1
"release": "1",

"result": true,

"rulesSource": "DATABASE",

"rulesVersion": "5.8",

"standalone": false,

"timeUTC": "2014-05-14T16:22:41.543+0000",
"version": "0.9.10"

}

Notice that the following fields are missing from Katello:
managerCapabilities

rulesSource

rulesVersion

Associated revisions

Revision fOcee486 - 07/17/2014 05:00 PM - Christine Fouant
fixes #6129 - Opens up /status reporting for Katello, BZ 1097875

05/18/2024 12



https://katellosach.usersys.redhat.com:443/katello/api/status
https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/status

Revision ¢30d6dcO0 - 07/22/2014 11:13 AM - Thomas McKay

Merge pull request #4236 from cfouant/curl

fixes #6129 - Fixes issue with Katello API /status reporting less than Candlepin, BZ 1097875

History

#1 - 06/16/2014 12:03 PM - Eric Helms

- Target version changed from 45 to 48

#2 - 07/07/2014 07:46 AM - Eric Helms

- Target version changed from 48 to 49

#3 - 07/22/2014 11:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4236 added

#4 - 07/22/2014 12:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|f0cee486bfa663f3a093a95608c8c49e8cde4c7f.
